MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004571ATutor- no cat -public2010-10-07 08:052011-08-18 13:04
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0004571: new user set preferences
DescriptionThe info message that displays when a user logs in for the first time, only appears the first time a user logs in. It should stay around until the preferecnes page has been accessed, or preferecnes changed.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004698)
greg (administrator)
2010-10-08 08:23

for the Dec release
(0004851)
harris (developer)
2010-12-20 15:35

svn: 10580

modified login.php to check if the preferences string is the same as the default, if so, give info message.

potential issue: User actually want to use the default preferences and thus the message will stay there forever.
(0004855)
harris (developer)
2010-12-20 16:14

potential issue mentioned above need to be fixed.
(0004856)
harris (developer)
2010-12-20 16:16

svn 10582
(0004861)
greg (administrator)
2010-12-21 09:31

not working for me. Also need to make this work on the browser courses page, which is now the landing page for new users who are not enrolled in any courses yet.
(0004862)
harris (developer)
2010-12-21 10:47

svn 10586

- browse will also display that message.
- changed the conditional statement from "if the default_pref_string!=user_pref_string, display this message" to "if session[pref][modified] is not set, then run the message"
(0005182)
greg (administrator)
2011-08-18 13:04

first round of 2.0.3 changes closed

- Issue History
Date Modified Username Field Change
2010-10-07 08:05 greg New Issue
2010-10-07 08:05 greg Affects version => SVN
2010-10-08 08:23 greg Note Added: 0004698
2010-12-20 09:59 harris Status new => assigned
2010-12-20 09:59 harris Assigned To => harris
2010-12-20 15:35 harris Status assigned => resolved
2010-12-20 15:35 harris Resolution open => fixed
2010-12-20 15:35 harris Note Added: 0004851
2010-12-20 15:35 harris Status resolved => feedback
2010-12-20 15:35 harris Resolution fixed => reopened
2010-12-20 15:35 harris Status feedback => resolved
2010-12-20 15:35 harris Fixed in Version => 2.0.2
2010-12-20 15:35 harris Resolution reopened => fixed
2010-12-20 16:14 harris Status resolved => feedback
2010-12-20 16:14 harris Resolution fixed => reopened
2010-12-20 16:14 harris Note Added: 0004855
2010-12-20 16:16 harris Status feedback => resolved
2010-12-20 16:16 harris Resolution reopened => fixed
2010-12-20 16:16 harris Note Added: 0004856
2010-12-21 09:31 greg Note Added: 0004861
2010-12-21 09:31 greg Status resolved => assigned
2010-12-21 10:47 harris Status assigned => resolved
2010-12-21 10:47 harris Note Added: 0004862
2011-08-18 13:04 greg Note Added: 0005182
2011-08-18 13:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker